Bug 210373 - linux-c6 ports: Upgrade to CentOS 6.8
Summary: linux-c6 ports: Upgrade to CentOS 6.8
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Many People
Assignee: freebsd-emulation mailing list
URL:
Keywords: feature, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-06-18 15:41 UTC by Piotr Kubaj
Modified: 2016-06-20 17:17 UTC (History)
4 users (show)

See Also:
pkubaj: maintainer-feedback? (emulation)
xmj: exp-run?


Attachments
update to CentOS 6.8 (416.48 KB, patch)
2016-06-18 15:41 UTC, Piotr Kubaj
no flags Details | Diff
i386 poudriere test (52.53 KB, text/plain)
2016-06-18 15:42 UTC, Piotr Kubaj
no flags Details
amd64 poudriere test (54.90 KB, text/plain)
2016-06-18 15:42 UTC, Piotr Kubaj
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2016-06-18 15:41:35 UTC
Created attachment 171547 [details]
update to CentOS 6.8

The attached patch updates CentOS ports to their versions in CentOS 6.8 release. This does NOT include the updates that have been released for CentOS 6.8 since its release. I will start working on that once this patch is committed, unless someone else does it.
Comment 1 Piotr Kubaj freebsd_committer 2016-06-18 15:42:05 UTC
Created attachment 171548 [details]
i386 poudriere test
Comment 2 Piotr Kubaj freebsd_committer 2016-06-18 15:42:26 UTC
Created attachment 171549 [details]
amd64 poudriere test
Comment 3 Tijl Coosemans freebsd_committer 2016-06-19 12:19:54 UTC
- The openldap port needs a PORTREVISION bump.
- The change to emulators/wine-devel should be removed.
- In some plists "share/doc/NAME-VERSION/" was replaced with "%%DOCSDIR%%-VERSION/".  You should undo this or set DOCSDIR in the Makefile so it includes "-VERSION".
Comment 4 Piotr Kubaj freebsd_committer 2016-06-19 12:40:13 UTC
(In reply to Tijl Coosemans from comment #3)
Sorry, I didn't put a link to reviews.freebsd.org here:
https://reviews.freebsd.org/D6891

The first two issues are already fixed in the patch in reviews.freebsd.org. I will take care of the 3rd.
Comment 5 Piotr Kubaj freebsd_committer 2016-06-19 14:01:51 UTC
(In reply to Tijl Coosemans from comment #3)
I've updated the patch at https://reviews.freebsd.org/D6891 to fix the 3rd mentioned issue.
Comment 6 commit-hook freebsd_committer 2016-06-20 17:14:08 UTC
A commit references this bug:

Author: tijl
Date: Mon Jun 20 17:13:32 UTC 2016
New revision: 417169
URL: https://svnweb.freebsd.org/changeset/ports/417169

Log:
  Update Linux ports to Centos 6.8.

  PR:		210373
  Submitted by:	Piotr Kubaj <pkubaj@anongoth.pl>
  Differential Revision:	https://reviews.freebsd.org/D6891

Changes:
  head/Mk/bsd.linux-rpm.mk
  head/accessibility/linux-c6-atk/distinfo.i686
  head/accessibility/linux-c6-atk/distinfo.x86_64
  head/audio/linux-c6-alsa-lib/Makefile
  head/audio/linux-c6-alsa-lib/distinfo.i686
  head/audio/linux-c6-alsa-lib/distinfo.x86_64
  head/audio/linux-c6-alsa-lib/pkg-plist.i686
  head/audio/linux-c6-alsa-lib/pkg-plist.x86_64
  head/audio/linux-c6-alsa-plugins-oss/Makefile
  head/audio/linux-c6-alsa-plugins-oss/distinfo.i686
  head/audio/linux-c6-alsa-plugins-oss/distinfo.x86_64
  head/audio/linux-c6-alsa-plugins-oss/pkg-plist.i686
  head/audio/linux-c6-alsa-plugins-oss/pkg-plist.x86_64
  head/audio/linux-c6-alsa-plugins-pulseaudio/Makefile
  head/audio/linux-c6-alsa-plugins-pulseaudio/distinfo.i686
  head/audio/linux-c6-alsa-plugins-pulseaudio/distinfo.x86_64
  head/audio/linux-c6-alsa-plugins-pulseaudio/pkg-plist.i686
  head/audio/linux-c6-alsa-plugins-pulseaudio/pkg-plist.x86_64
  head/audio/linux-c6-alsa-utils/Makefile
  head/audio/linux-c6-alsa-utils/distinfo.i686
  head/audio/linux-c6-alsa-utils/distinfo.x86_64
  head/audio/linux-c6-alsa-utils/pkg-plist.i686
  head/audio/linux-c6-alsa-utils/pkg-plist.x86_64
  head/audio/linux-c6-arts/distinfo.i686
  head/audio/linux-c6-arts/distinfo.x86_64
  head/audio/linux-c6-esound/distinfo.i686
  head/audio/linux-c6-esound/distinfo.x86_64
  head/audio/linux-c6-flac/distinfo.i686
  head/audio/linux-c6-flac/distinfo.x86_64
  head/audio/linux-c6-libaudiofile/distinfo.i686
  head/audio/linux-c6-libaudiofile/distinfo.x86_64
  head/audio/linux-c6-libogg/distinfo.i686
  head/audio/linux-c6-libogg/distinfo.x86_64
  head/audio/linux-c6-libsndfile/distinfo.i686
  head/audio/linux-c6-libsndfile/distinfo.x86_64
  head/audio/linux-c6-libvorbis/distinfo.i686
  head/audio/linux-c6-libvorbis/distinfo.x86_64
  head/audio/linux-c6-mikmod/distinfo.i686
  head/audio/linux-c6-mikmod/distinfo.x86_64
  head/audio/linux-c6-nas-libs/distinfo.i686
  head/audio/linux-c6-nas-libs/distinfo.x86_64
  head/audio/linux-c6-openal-soft/distinfo.i686
  head/audio/linux-c6-openal-soft/distinfo.x86_64
  head/audio/linux-c6-pulseaudio-libs/Makefile
  head/audio/linux-c6-pulseaudio-libs/distinfo.i686
  head/audio/linux-c6-pulseaudio-libs/distinfo.x86_64
  head/audio/linux-c6-pulseaudio-utils/Makefile
  head/audio/linux-c6-pulseaudio-utils/distinfo.i686
  head/audio/linux-c6-pulseaudio-utils/distinfo.x86_64
  head/audio/linux-c6-sdl_mixer/distinfo.i686
  head/audio/linux-c6-sdl_mixer/distinfo.x86_64
  head/databases/linux-c6-sqlite3/distinfo.i686
  head/databases/linux-c6-sqlite3/distinfo.x86_64
  head/devel/linux-c6-dbus-glib/distinfo.i686
  head/devel/linux-c6-dbus-glib/distinfo.x86_64
  head/devel/linux-c6-dbus-libs/distinfo.i686
  head/devel/linux-c6-dbus-libs/distinfo.x86_64
  head/devel/linux-c6-devtools/Makefile
  head/devel/linux-c6-devtools/distinfo.i686
  head/devel/linux-c6-devtools/distinfo.x86_64
  head/devel/linux-c6-devtools/pkg-plist.i686
  head/devel/linux-c6-devtools/pkg-plist.x86_64
  head/devel/linux-c6-libgfortran/Makefile
  head/devel/linux-c6-libgfortran/distinfo.i686
  head/devel/linux-c6-libgfortran/distinfo.x86_64
  head/devel/linux-c6-libglade2/distinfo.i686
  head/devel/linux-c6-libglade2/distinfo.x86_64
  head/devel/linux-c6-libpciaccess/Makefile
  head/devel/linux-c6-libpciaccess/distinfo.i686
  head/devel/linux-c6-libpciaccess/distinfo.x86_64
  head/devel/linux-c6-libpciaccess/pkg-plist.i686
  head/devel/linux-c6-libpciaccess/pkg-plist.x86_64
  head/devel/linux-c6-libsigc++20/distinfo.i686
  head/devel/linux-c6-libsigc++20/distinfo.x86_64
  head/devel/linux-c6-ncurses-base/distinfo.i686
  head/devel/linux-c6-ncurses-base/distinfo.x86_64
  head/devel/linux-c6-nspr/Makefile
  head/devel/linux-c6-nspr/distinfo.i686
  head/devel/linux-c6-nspr/distinfo.x86_64
  head/devel/linux-c6-qt47/distinfo.i686
  head/devel/linux-c6-qt47/distinfo.x86_64
  head/devel/linux-c6-sdl12/distinfo.i686
  head/devel/linux-c6-sdl12/distinfo.x86_64
  head/dns/linux-c6-libasyncns/distinfo.i686
  head/dns/linux-c6-libasyncns/distinfo.x86_64
  head/emulators/linux-c6/Makefile
  head/emulators/linux_base-c6/Makefile
  head/emulators/linux_base-c6/distinfo.i686
  head/emulators/linux_base-c6/distinfo.x86_64
  head/emulators/linux_base-c6/pkg-plist.i686
  head/emulators/linux_base-c6/pkg-plist.x86_64
  head/ftp/linux-c6-curl/Makefile
  head/ftp/linux-c6-curl/distinfo.i686
  head/ftp/linux-c6-curl/distinfo.x86_64
  head/graphics/linux-c6-cairo/distinfo.i686
  head/graphics/linux-c6-cairo/distinfo.x86_64
  head/graphics/linux-c6-dri/Makefile
  head/graphics/linux-c6-dri/distinfo.i686
  head/graphics/linux-c6-dri/distinfo.x86_64
  head/graphics/linux-c6-dri/pkg-plist.i686
  head/graphics/linux-c6-dri/pkg-plist.x86_64
  head/graphics/linux-c6-gdk-pixbuf2/Makefile
  head/graphics/linux-c6-gdk-pixbuf2/distinfo.i686
  head/graphics/linux-c6-gdk-pixbuf2/distinfo.x86_64
  head/graphics/linux-c6-glx-utils/Makefile
  head/graphics/linux-c6-glx-utils/distinfo.i686
  head/graphics/linux-c6-glx-utils/distinfo.x86_64
  head/graphics/linux-c6-jpeg/distinfo.i686
  head/graphics/linux-c6-jpeg/distinfo.x86_64
  head/graphics/linux-c6-libGLU/Makefile
  head/graphics/linux-c6-libGLU/distinfo.i686
  head/graphics/linux-c6-libGLU/distinfo.x86_64
  head/graphics/linux-c6-png/distinfo.i686
  head/graphics/linux-c6-png/distinfo.x86_64
  head/graphics/linux-c6-png/pkg-plist.i686
  head/graphics/linux-c6-sdl_image/distinfo.i686
  head/graphics/linux-c6-sdl_image/distinfo.x86_64
  head/graphics/linux-c6-sdl_ttf/distinfo.i686
  head/graphics/linux-c6-sdl_ttf/distinfo.x86_64
  head/graphics/linux-c6-tiff/distinfo.i686
  head/graphics/linux-c6-tiff/distinfo.x86_64
  head/lang/linux-c6-tcl85/distinfo.i686
  head/lang/linux-c6-tcl85/distinfo.x86_64
  head/multimedia/linux-c6-libtheora/distinfo.i686
  head/multimedia/linux-c6-libtheora/distinfo.x86_64
  head/multimedia/linux-c6-libv4l/distinfo.i686
  head/multimedia/linux-c6-libv4l/distinfo.x86_64
  head/net/linux-c6-avahi-libs/distinfo.i686
  head/net/linux-c6-avahi-libs/distinfo.x86_64
  head/net/linux-c6-openldap/Makefile
  head/net/linux-c6-openldap/distinfo.i686
  head/net/linux-c6-openldap/distinfo.x86_64
  head/net/linux-c6-tcp_wrappers-libs/Makefile
  head/net/linux-c6-tcp_wrappers-libs/distinfo.i686
  head/net/linux-c6-tcp_wrappers-libs/distinfo.x86_64
  head/print/linux-c6-cups-libs/Makefile
  head/print/linux-c6-cups-libs/distinfo.i686
  head/print/linux-c6-cups-libs/distinfo.x86_64
  head/security/linux-c6-cyrus-sasl2/distinfo.i686
  head/security/linux-c6-cyrus-sasl2/distinfo.x86_64
  head/security/linux-c6-gnutls/distinfo.i686
  head/security/linux-c6-gnutls/distinfo.x86_64
  head/security/linux-c6-libgcrypt/distinfo.i686
  head/security/linux-c6-libgcrypt/distinfo.x86_64
  head/security/linux-c6-libgpg-error/distinfo.i686
  head/security/linux-c6-libgpg-error/distinfo.x86_64
  head/security/linux-c6-libssh2/distinfo.i686
  head/security/linux-c6-libssh2/distinfo.x86_64
  head/security/linux-c6-libtasn1/distinfo.i686
  head/security/linux-c6-libtasn1/distinfo.x86_64
  head/security/linux-c6-nss/Makefile
  head/security/linux-c6-nss/distinfo.i686
  head/security/linux-c6-nss/distinfo.x86_64
  head/security/linux-c6-openssl/Makefile
  head/security/linux-c6-openssl/distinfo.i686
  head/security/linux-c6-openssl/distinfo.x86_64
  head/security/linux-c6-openssl-compat/Makefile
  head/security/linux-c6-openssl-compat/distinfo.i686
  head/security/linux-c6-openssl-compat/distinfo.x86_64
  head/textproc/linux-c6-aspell/distinfo.i686
  head/textproc/linux-c6-aspell/distinfo.x86_64
  head/textproc/linux-c6-expat/distinfo.i686
  head/textproc/linux-c6-expat/distinfo.x86_64
  head/textproc/linux-c6-libxml2/Makefile
  head/textproc/linux-c6-libxml2/distinfo.i686
  head/textproc/linux-c6-libxml2/distinfo.x86_64
  head/www/linux-c6-qt47-webkit/distinfo.i686
  head/www/linux-c6-qt47-webkit/distinfo.x86_64
  head/x11/linux-c6-xorg-libs/Makefile
  head/x11/linux-c6-xorg-libs/distinfo.i686
  head/x11/linux-c6-xorg-libs/distinfo.x86_64
  head/x11/linux-c6-xorg-libs/pkg-plist.i686
  head/x11/linux-c6-xorg-libs/pkg-plist.x86_64
  head/x11-fonts/linux-c6-fontconfig/distinfo.i686
  head/x11-fonts/linux-c6-fontconfig/distinfo.x86_64
  head/x11-toolkits/linux-c6-gtk2/Makefile
  head/x11-toolkits/linux-c6-gtk2/distinfo.i686
  head/x11-toolkits/linux-c6-gtk2/distinfo.x86_64
  head/x11-toolkits/linux-c6-gtk2/pkg-plist.i686
  head/x11-toolkits/linux-c6-gtk2/pkg-plist.x86_64
  head/x11-toolkits/linux-c6-openmotif/distinfo.i686
  head/x11-toolkits/linux-c6-openmotif/distinfo.x86_64
  head/x11-toolkits/linux-c6-pango/Makefile
  head/x11-toolkits/linux-c6-pango/distinfo.i686
  head/x11-toolkits/linux-c6-pango/distinfo.x86_64
  head/x11-toolkits/linux-c6-qt47-x11/distinfo.i686
  head/x11-toolkits/linux-c6-qt47-x11/distinfo.x86_64
  head/x11-toolkits/linux-c6-tk85/distinfo.i686
  head/x11-toolkits/linux-c6-tk85/distinfo.x86_64
Comment 7 Tijl Coosemans freebsd_committer 2016-06-20 17:17:38 UTC
Committed with additional updates of kernel-headers, libXrender and openssl.